Bug 1382598 - IPA: Uninitialized variable during subdomain check
Summary: IPA: Uninitialized variable during subdomain check
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: Sudhir Menon
URL:
Whiteboard:
Depends On:
Blocks: 1392893
TreeView+ depends on / blocked
 
Reported: 2016-10-07 06:53 UTC by Jakub Hrozek
Modified: 2020-05-02 18:31 UTC (History)
12 users (show)

Fixed In Version: sssd-1.14.0-46.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1392893 (view as bug list)
Environment:
Last Closed: 2017-08-01 09:00:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 4246 None None None 2020-05-02 18:31:26 UTC
Red Hat Product Errata RHEA-2017:2294 normal SHIPPED_LIVE sssd bug fix and enhancement update 2017-08-01 12:39:55 UTC

Description Jakub Hrozek 2016-10-07 06:53:44 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/3213

Running sssd_be under valgrind reported this error:
{{{
==30955== Conditional jump or move depends on uninitialised value(s)
==30955== at 0xDBBACC3: ipa_subdomains_slave_search_done (ipa_subdomains.c:1111)
==30955== by 0xE73B34D: sdap_search_bases_ex_done (sdap_ops.c:222)
==30955== by 0xE6FFA98: sdap_get_generic_done (sdap_async.c:1872)
==30955== by 0xE6FF4E2: generic_ext_search_handler (sdap_async.c:1689)
==30955== by 0xE6FF840: sdap_get_and_parse_generic_done (sdap_async.c:1797)
==30955== by 0xE6FEFB5: sdap_get_generic_op_finished (sdap_async.c:1579)
==30955== by 0xE6FB1D2: sdap_process_message (sdap_async.c:353)
==30955== by 0xE6FAD51: sdap_process_result (sdap_async.c:197)
==30955== by 0xE6FAA14: sdap_ldap_next_result (sdap_async.c:145)
==30955== by 0x8E157FF: tevent_common_loop_timer_delay (tevent_timed.c:341)
==30955== by 0x8E16809: epoll_event_loop_once (tevent_epoll.c:911)
==30955== by 0x8E14F09: std_event_loop_once (tevent_standard.c:114)
}}}

Comment 1 Jakub Hrozek 2016-10-07 06:59:29 UTC
master: 7b07f50dfdfa1e94c82d86a957ee7c9852d7a322

Comment 11 Sudhir Menon 2017-05-16 09:32:48 UTC
Tested on RHEL7.4 using

ipa-server-4.5.0-11.el7.x86_64
389-ds-base-1.3.6.1-13.el7.x86_64
pki-ca-10.4.1-4.el7.noarch
krb5-server-1.15.1-8.el7.x86_64
sssd-1.15.2-29.el7.x86_64
selinux-policy-3.13.1-148.el7.noarch


[root@master log]# valgrind /usr/libexec/sssd/sssd_be --domain testrelm.test --uid 0 --gid 0 -i
==9141== Memcheck, a memory error detector
==9141== Copyright (C) 2002-2015, and GNU GPL'd, by Julian Seward et al.
==9141== Using Valgrind-3.12.0 and LibVEX; rerun with -h for copyright info
==9141== Command: /usr/libexec/sssd/sssd_be --domain testrelm.test --uid 0 --gid 0 -i
==9141== 
==9141== HEAP SUMMARY:
==9141==     in use at exit: 19,677 bytes in 18 blocks
==9141==   total heap usage: 28 allocs, 10 frees, 20,592 bytes allocated
==9141== 
==9141== LEAK SUMMARY:
==9141==    definitely lost: 806 bytes in 2 blocks
==9141==    indirectly lost: 267 bytes in 10 blocks
==9141==      possibly lost: 0 bytes in 0 blocks
==9141==    still reachable: 18,604 bytes in 6 blocks
==9141==         suppressed: 0 bytes in 0 blocks
==9141== Rerun with --leak-check=full to see details of leaked memory
==9141== 
==9141== For counts of detected and suppressed errors, rerun with: -v
==9141== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0)

Comment 12 errata-xmlrpc 2017-08-01 09:00:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2294


Note You need to log in before you can comment on or make changes to this bug.